| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Properties | List of all members
IOLink.RegionXu64 Class Reference

A Region using dynamic vectors. More...

Inheritance diagram for IOLink.RegionXu64:

## Public Member Functions
| RegionXu64 (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()
override bool | Equals (object obj)
| RegionXu64 (uint dimension)
| Creates an empty region.
| RegionXu64 (RegionXu64 region)
| copy constructor
| RegionXu64 (VectorXu64 origin, VectorXu64 size)
| Builds a region from its origin and size.
uint | GetDimensionCount ()
| The dimension of this region.
VectorXu64 | GetOrigin ()
| Returns the position of the region's origin.
VectorXu64 | GetSize ()
| Returns the region's size.
VectorXu64 | GetMin ()
| Returns the minimal point of the region.
VectorXu64 | GetMax ()
| Return the maximal point of the region.
uint | GetElementCount ()
| Returns the number of cells in this region.
bool | GetEmpty ()
| Checks if the region is empty.
bool | Contains (RegionXu64 other)
| Checks if this region conatins another.
bool | Contains (VectorXu64 position)
| Checks if this region contains a point.
bool | Intersect (RegionXu64 other)
| Checks if this region intersect another.
RegionXu64 | Intersection (RegionXu64 other)
| Returns the intersection of this region and another.
RegionXu64 | ExtractSliceFromAxis (uint dimension, ulong origin)
| Returns a region of size one along one axis.
string | ToString ()
| Return a string representation.

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (RegionXu64 obj)
static global::System.Runtime.InteropServices.HandleRef | swigRelease (RegionXu64 obj)
static bool | operator== (RegionXu64 v1, RegionXu64 v2)
static bool | operator!= (RegionXu64 v1, RegionXu64 v2)
static RegionXu64 | FromIndex (VectorXu64 index)
static RegionXu64 | CreateFullRegion (VectorXu64 regionSize)
| Utility factory that create the region of origin [0, 0, 0] and given size.
static bool | InternalEqual (RegionXu64 v1, RegionXu64 v2)

## Protected Member Functions
virtual void | Dispose (bool disposing)

## Protected Attributes
bool | swigCMemOwn

## Properties
uint | DimensionCount`[get]`
| The number of dimensions of this `Region`
VectorXu64 | Origin`[get]`
| The origin of the region.
VectorXu64 | Size`[get]`
| The number of element in this `Region` along each dimension.
VectorXu64 | Min`[get]`
| The point of the region the closest to the coordinate system's origin.
VectorXu64 | Max`[get]`
| The point of the region the farthest to the coordinate system's origin.
uint | ElementCount`[get]`
| The number of elements in this region.
bool | IsEmpty`[get]`
| Checks if the region has no element in it.

## Detailed Description

A Region using dynamic vectors.

Examples
  CheckerBoardFast.cs, CopyImageView.cs, DiskImageView.cs, GradientFloatImage.cs, GradientFloatToInt.cs, and VolumeFromStack.cs.

## Constructor & Destructor Documentation

## ◆ RegionXu64()

IOLink.RegionXu64.RegionXu64 | ( | uint | dimension | ) |
| inline

Creates an empty region.

Parameters

  dimension | The dimension of the region.

## Member Function Documentation

## ◆ Contains() [1/2]

bool IOLink.RegionXu64.Contains | ( | RegionXu64 | other | ) |
| inline

Checks if this region conatins another.

Exceptions

  InvalidArgument | if region don't have compatible dimensions

## ◆ Contains() [2/2]

bool IOLink.RegionXu64.Contains | ( | VectorXu64 | position | ) |
| inline

Checks if this region contains a point.

Exceptions

  InvalidArgument | if region don't have compatible dimensions

## ◆ ExtractSliceFromAxis()

RegionXu64 IOLink.RegionXu64.ExtractSliceFromAxis | ( | uint | dimension,
|  | ulong | origin
| ) |  |
| inline

Returns a region of size one along one axis.

Parameters

  dimension | axis on which the slice must be selected
  origin | position of slice in given dimension

Returns
  the slice at given position for given dimension

Exceptions

  InvalidArgument | if dimension or origin are out of range

e.g. a 3D region {{0, 0, 0}, {5, 6, 7}}

- extractSliceFromAxis(0, 3) returns 3D region {{3, 0, 0}, {1, 6, 7}}
- extractSliceFromAxis(1, 4) returns 3D region {{0, 4, 0}, {5, 1, 7}}
- extractSliceFromAxis(2, 5) returns 3D region {{0, 0, 5}, {5, 6, 1}}

e.g. a 3D region with non-null origin { {2, 3, 4}, {5, 6, 7}}

extractSliceFromAxis(0, 3) returns 3D region {{5, 3, 4}, {1, 6, 7}}

## ◆ GetElementCount()

uint IOLink.RegionXu64.GetElementCount | ( |  | ) |
| inline

Returns the number of cells in this region.

Only applicable to integer typed regions. It will return 0 for floating point regions.

## ◆ GetEmpty()

bool IOLink.RegionXu64.GetEmpty | ( |  | ) |
| inline

Checks if the region is empty.

An integer typed region is empty if one of its sizes is 0. A floating point region is empty is one of its sizes is Nan.

## ◆ GetMin()

VectorXu64 IOLink.RegionXu64.GetMin | ( |  | ) |
| inline

Returns the minimal point of the region.

Alias for origin.

## ◆ Intersect()

bool IOLink.RegionXu64.Intersect | ( | RegionXu64 | other | ) |
| inline

Checks if this region intersect another.

Exceptions

  InvalidArgument | if region don't have compatible dimensions

## ◆ Intersection()

RegionXu64 IOLink.RegionXu64.Intersection | ( | RegionXu64 | other | ) |
| inline

Returns the intersection of this region and another.

If regions does not intersect, it returns an empty region.

Exceptions

  InvalidArgument | if region don't have compatible dimensions

The documentation for this class was generated from the following file:

- Release/net/generated/RegionXu64.cs